geos::geom::Coordinate Class Reference

Coordinate is the lightweight class used to store coordinates. More...

`#include <geos.h>`

## Public Types

typedef std::set< const Coordinate *, CoordinateLessThan > | ConstSet
| A set of const Coordinate pointers.
typedef std::set< const CoordinateXY *, CoordinateLessThan > | ConstXYSet
typedef std::vector< const Coordinate * > | ConstVect
| A vector of const Coordinate pointers.
typedef std::stack< const Coordinate * > | ConstStack
| A stack of const Coordinate pointers.
typedef std::vector< Coordinate > | Vect
| A vector of Coordinate objects (real object, not pointers).
typedef std::map< const CoordinateXY *, int, CoordinateLessThan > | ConstIntMap
| A map of const Coordinate pointers to integers.

## Public Member Functions

| Coordinate (double xNew, double yNew, double zNew=DEFAULT_Z)
| Coordinate (const CoordinateXY &other)
template<Ordinate>
double | get () const
void | setNull ()
bool | isNull () const
bool | equals3D (const Coordinate &other) const
| 3D comparison
std::string | toString () const
| Returns a string of the form (x,y,z) .
Coordinate & | operator= (const CoordinateXY &other)

## Static Public Member Functions

static const Coordinate & | getNull ()

## Public Attributes

double | z
| z-coordinate

## Detailed Description

Coordinate is the lightweight class used to store coordinates.

It is distinct from Point, which is a subclass of Geometry. Unlike objects of type Point (which contain additional information such as an envelope, a precision model, and spatial reference system information), a Coordinate only contains ordinate values and accessor methods.

Coordinate objects are two-dimensional points, with an additional z-ordinate. JTS does not support any operations on the z-ordinate except the basic accessor functions.

Constructed coordinates will have a z-ordinate of DoubleNotANumber. The standard comparison functions will ignore the z-ordinate.

The documentation for this class was generated from the following file:

- Coordinate.h